org.deidentifier.arx.gui.view.impl.explore

## Class ViewTiles

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.explore.ViewSolutionSpace
  - - org.deidentifier.arx.gui.view.impl.explore.ViewTiles

All Implemented Interfaces:
  IView

    public class ViewTiles
    extends ViewSolutionSpace

This class implements a tiles view on selected nodes.

Author:
  Fabian Prasser, Florian Kohlmayer

### Constructor Summary

Constructors
Constructor and Description
`ViewTiles(org.eclipse.swt.widgets.Composite parent, Controller controller)` Constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `reset()` Resets the view.

### Methods inherited from class org.deidentifier.arx.gui.view.impl.explore.ViewSolutionSpace

`dispose, update`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ViewTiles

    public ViewTiles(org.eclipse.swt.widgets.Composite parent,
                     Controller controller)

Constructor

Parameters:
  `parent` -
  `controller` -

### Method Detail

#### reset

    public void reset()

Resets the view.

Specified by:
  `reset` in interface `IView`
Overrides:
  `reset` in class `ViewSolutionSpace`